Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 23 reacties
Bron: dd-wrt.com, submitter: Rayures

DD-WRT logo (45 pix) Afgelopen zaterdag is het eerste service pack van versie 24 van de DD-WRT verschenen. DD-WRT is één van de alternatieve opensource-firmwares die gebruikt kunnen worden op een groot aantal draadloze routers, die zijn opgebouwd rondom een Broadcom- of Atheros-processor. Enkele voorbeelden zijn de WRT54g/gl/gs van Linksys en de WL-500g van Asus. Een compleet overzicht van de ondersteunde routers is op deze pagina te vinden.

DD-WRT voegt extra functionaliteit toe aan de originele firmware, waaronder het 'WDS wireless bridging-repeating protocol', Radius Authentication en verbeterde Quality of Service-mogelijkheden. Een compleet overzicht van alle mogelijkheden is hier te vinden. Ook op ons eigen forum kan er worden gediscussieerd over alternatieve firmware. Hieronder is een nagenoeg compleet overzicht te vinden van de veranderingen in deze release:

Special enhancements
  • ZeroIP in Services->Hotspot added (mini,std special only)
  • UP/DOWN shaping for ip and mac finally working
Overall enhancements
  • DNS security fix for dnsmasq
  • Site Survey security fix
  • Passwords longer chan 8 characters are now supported
  • forced password change on first installation
  • support for swedish language
  • enhanced italian language
  • mac address correction for DIR-400 devices
  • decrease memory footprint for micro distribution
  • reintroduce sputnik in micro
  • sputnik fix for server type
  • VAP bssid fix for Broadcom devices (fixes various wpa issues)
  • chillispot key server update to key.chillispot.info
  • (changed on request by chillispot.info since chillispot.org is not available anymore)
  • more flexible openvpn configuration
  • work around for chillispot crashes, caused by a mikrotik bug
  • allow more flexible vlan configurations
  • support for vlan trunking on broadcom switches (except gigabit)
New Hardware supported
  • support for WRT300 v1.1
  • support for WRT310N
  • support for WRT600N v1.1
  • support for new Netgear, Belkin and USR devices
  • support for Tonze AP42X (Xscale)
  • support for Pronghorn SBC (Xscale)
  • support for Ubiquiti LSX devices
Special enhancaments for atheros based radios
  • Noise Immunity configuration for atheros cards
  • RTS/CTS configuration for atheros based cards
  • performance increase and fixes for atheros cards
  • TX PA detection for some atheros cards (to adjust displayed output power and to correct power setting)
...and some other hidden, invisible, forgotten enhancements.[break]
Klik op de afbeelding voor een grotere versie.
Versienummer:24 SP1
Releasestatus:Final
Website:dd-wrt.com
Download:http://www.dd-wrt.com/dd-wrtv3/dd-wrt/downloads.html
Licentietype:Freeware
Moderatie-faq Wijzig weergave

Reacties (23)

In tegenstelling tot Tomato (http://tweakers.net/meuktracker/18158/tomato-121.html) kan dd-wrt wel op mijn WRT150N.
Straks even proberen...
Ik heb nog een WRT54g v2.2 router, en daar is ook een VINT versie voor te downloaden.
Weet iemand precies wat het verschil is met de niet-vint versie van de firmware? Eerder pakte ik altijd de standaard dd-wrt, maar daar heb ik ook nooit problemen mee gehad.
Volgens mij wordt er intern ook geen minipci insteekkaart gebruikt zoals bij nog oudere versies.

Na versie 3.1 heb je trouwens sowieso niets aan de VINT versie.
Geen idee wat het verschil is maar ik had hem wel nodig voor mijn WRT54G v1.0 of ik kreeg continu een zeer hoge load.

Ik vraag me vooral af welke nieuwe routers nu precies ondersteund worden. De wikipagina over de ondersteunde apparaten is nog niet gepdatet.
Zoals ook oven die wikipagina staat is het een incomplete pagina, die pagina is nog nooit compleet geweest, en zal dat ook wel niet worden. Dit komt doordat op het forum verschillende users/coders bezig zijn met verschillende routers en architecturen om te implementeren, zodra iemand een image kan bouwen en er hardware draait om via telnet/ssh te kunnen connecten met een custom firmware worden de aanpassingen gemerged met de source van brainslayer.

Er zou al lang geleden een supporterd router db komen, maar die is er nog niet, en lijkt ook niet te komen voorlopig.
De VINT versie is voor "Vintage" routers. De netwerkdriver is in deze versie anders (ouder) en werkt stabieler dan de nieuwere versies op de oudere routers. Ik heb zelf de VINT versie op mijn WRT54G v2 maar kan DD-WRT 24 SP1 nog niet in Vintage smaak vinden.

[Reactie gewijzigd door Sperenvanger op 28 juli 2008 21:33]

VINT gebruikt oa. een andere wifi-drivers. Voor revisie t/m 4 (1.0's en een paar oude 1.1's) van de wifi-chip MOET je VINT gebruiken. Voor revisies 5, 6 en 7 (?) van de wifi-chip kun je VINT gebruiken. Ervaringen verschillen nogal geloof ik, maar VINT zou voor de oudere modellen die ook niet-VINT aan kunnen stabieler zijn.
Preciezere info is terug te vinden op de DD-WRT wiki en het forum.

[Reactie gewijzigd door Klaus_1250 op 28 juli 2008 22:34]

Geweldige firmware maar ik kan in de release notes niets vinden over de flash problemen met de nieuwe(re) generatie WRT54GL routers dus ik laat m dit keer even passeren.
Heb hier de wrt54gl v1 en v1.1 en daarop werkt i al sinds v23, en na mijn weten zijn er geen andere versies van de GL.
Welke problemen waren er dan met de GL's? Ik weet alleen dat er bij de 1.0's en oudere 1.1's problemen waren met de firmware groote. Je ze de eerste keer met mini flashen en dan de normale versie.
kun je deze laatse versie ook over de 4.30.11 firmware van linksys plaatsen.

Of moet ik eerst die 4.30.12 us versie er op zeten.


Ps: wrt54gl v1.1


EDit: nou heb gewoon gedaan en gen probleem al is het wel goed dit even na te kijken
http://www.dd-wrt.com/wik...Supported_Devices#Linksys

Daar staat ook een beetje de install wijze.

Is nog wel best wat zoeken om vertrouwd een firmware te kiezen.

[Reactie gewijzigd door gp500 op 29 juli 2008 19:24]

Is de VPN bug ook gefixed in deze release? VPN verkeer werdt tegen gehouden ookal was het toegestaan.

Edit:

Ik kan niet connecten naar een ander wireless netwerk als client :(

Terug naar V23sp1 dan maar

[Reactie gewijzigd door GrooV op 28 juli 2008 21:46]

De linksys 350n v2/v2.1 wordt ook binnenkort ondersteund, zie : http://www.dd-wrt.com/php...opic.php?t=17807&start=75

Sinds OpenWRT het aan de praat heeft is het niet zo ingewikkeld meer voor Brainslayer om deze linksys ook te ondersteunen.
Ik hoop dat het snel komt. Heb DDWRT jarenlang gebruikt op mijn WRT54G v1.1 en mis het erg op mijn WRT350N v2.0
Zou mijn $50 donatie met request geholpen hebben O-)
ik gebruik dd-wrt v24sp1 succesvol op een fonera router, werkt perfect...
werkt dit ook met de sitecom wl173?
zo nee zijn er andere mods die wel werken met de sitecom wl173?
welke is nou beter, deze of Tomato? (voor op een asus wl500g premium v2)

[Reactie gewijzigd door THID op 29 juli 2008 19:28]

Ik prefereer DD-WRT. Ik gebruikte vroeger tomato, maar sinds 1.13 is deze niet stabiel meer op mijn router (wrt54gl 1.1). Sinds ik DD-WRT v24 geinstalleerd heb, heb ik geen problemen meer.
Ik gebruik ook dd-wrt maar ik vind het steeds moeilijker om te beslissen welke versie ik moet installeren.

Ik heb de WRT54G v. 2 en als ik daar kijk staan er vele mogelijkheden. In het verleden heb ik wel eens een verkeerde geinstalleerd met veel ellende van dien.

Weet iemand welke ik moet hebben? :'(

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True